> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usefini.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List article history

> List saved history versions for one article.

Returns the saved history versions for one article. Use it before fetching or reverting to a specific version.

## Headers

<ParamField header="Authorization" type="string" required>
  Bearer token containing your Fini workspace API key. Format: `Bearer fini_...` The key needs `read` scope.
</ParamField>

## Path parameters

<ParamField path="id" type="string" required>
  Article ID.
</ParamField>

## Response

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api-prod.usefini.com/v2/hc-articles/4f5ef695-d03b-4d56-8fef-7f2bd5c17ef3/history/public' \
    --header 'Authorization: Bearer fini_your_api_key'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://api-prod.usefini.com/v2/hc-articles/4f5ef695-d03b-4d56-8fef-7f2bd5c17ef3/history/public', {
    method: 'GET',
    headers: {
      Authorization: 'Bearer fini_your_api_key'
    }
  });

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api-prod.usefini.com/v2/hc-articles/4f5ef695-d03b-4d56-8fef-7f2bd5c17ef3/history/public",
      headers={"Authorization": "Bearer fini_your_api_key"},
  )

  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  [
    {
      "versionId": "v3",
      "version": 3,
      "createdAt": "2026-07-28T08:55:32.000Z",
      "createdBy": "api",
      "item": {
        "id": "4f5ef695-d03b-4d56-8fef-7f2bd5c17ef3",
        "title": "Refund policy",
        "mainKnowledge": "Customers can request a refund within 30 days of purchase.",
        "agentInstruction": "Use this article for refund eligibility questions.",
        "questions": [
          "Can I get a refund?"
        ],
        "keywords": [
          "refund",
          "billing"
        ],
        "escalation": false,
        "parentFolderId": "0f4da4fe-b2ae-4787-8c3b-854f36d9eb1b",
        "isDraft": false,
        "origin": "api",
        "createdAt": "2026-07-28T08:55:32.000Z",
        "updatedAt": "2026-07-28T09:10:18.000Z"
      }
    }
  ]
  ```
</ResponseExample>

Returns an array of partial article records for the article's history versions.
